<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' border='0' />");
define("THEME_WIDTH", "90%");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

        //Header
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='full-header' valign='middle'>\n".showbanners()."</td>";
	echo "</tr>";
	echo "</table>\n";
	echo "<div style='height:10px;background-color:transparent;'></div>";

	//Subheader
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='sub-header' align='left'>".showsublinks(" ", "top-link")."</td>";
	echo "<td class='subdate' align='right'>".showsubdate()."</td>";
	echo "</tr>\n</table>\n";
	echo "<div style='height: 10px;background-color:transparent;'></div>";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
        if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
        echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
        if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n";
	echo "</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer'])."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td align='left' class='footer'><a href='#' title='To the top'><img src='".THEME."images/top.gif' alt='top.gif' /></a> Theme <b>QuickPortal</b> by <a href='http://php-fusion.openworld.dk/' target='blank'>Harly</a></td>";
	echo "<td align='center' class='footer'>".showcopyright()."</td>";
	echo "<td align='right' class='footer'>".showcounter()." <a href='#' title='To the top'><img src='".THEME."images/top.gif' alt='top.gif' /></a></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-news'><img src='".THEME."images/menu_pen.gif' alt='menu_pen.gif' style='border:0;vertical-align:middle;padding:3px 3px 0 0;' /> $subject</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td class='main-body-news middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

function render_article($subject, $article, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-news'><img src='".THEME."images/menu_pen.gif' alt='menu_pen.gif' style='border:0;vertical-align:middle;padding:3px 1px 0px;' /> $subject</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body-news middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

function opentable($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td align='center' class='capmain'><img src='".THEME."images/menu_information.png' alt='menu_information.png' style='border:0;vertical-align:middle;' /> $title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='capmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td colspan='2'  class='main-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closetable() {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<div class='spacer'></div>";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td align='center' class='scapmain'><img src='".THEME."images/menu_open.gif' alt='menu_open.gif' style='border:0;vertical-align:middle;' /> $title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td colspan='2' class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<div class='spacer'></div>";

}

?>